MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000818XdebugUsage problems (Wrong Results)public2012-04-24 11:572012-12-18 12:37
Reporterjohanv 
Assigned Toderick 
PrioritylowSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSDebianOS Version2.6.32-5-amd64
Product Version2.2.0RC2 
Target Version2.2.2Fixed in Version2.2.2 
Summary0000818: Require a php script in the PHP_RINIT causes Xdebug to crash
DescriptionI've written a small php extension in which a simple script is included in RINIT step. When the Xdebug extension is not enabled, the extension loads and is usable. When Xdebug is enabled, it seems to be triggered on the require command and then crashes.
Steps To ReproduceI've included the source code of my extension - named require - and a script with a function "hello2", to be placed in the include path. Compile and install the extension. With Xdebug disabled, you can do php -m or php -r 'hello2();' which will call the function in the included script.
Enabeling xdebug causes the crash of which the gdb trace is also included.
Additional InformationPHP version is 5.3.9-ZS 5.6.0
TagsNo tags attached.
Operating System
PHP Version5.3.9
Attached Fileszip file icon XDebug_Crash.zip [^] (2,554 bytes) 2012-04-24 11:57

- Relationships

-  Notes
(0002092)
johanv (reporter)
2012-04-25 09:51

The supplied script and extension are pretty useless, but they are purely to allow an easy reproduction of the problem. It is however impossible to use the SAM extension (Simple Asynchronous Messaging) due to this issue. The SAM extension does the same: it includes a php file in the RINIT.
(0002398)
derick (administrator)
2012-12-18 12:32

Fixed for 2.2.2.

- Issue History
Date Modified Username Field Change
2012-04-24 11:57 johanv New Issue
2012-04-24 11:57 johanv File Added: XDebug_Crash.zip
2012-04-24 17:30 derick Priority normal => low
2012-04-25 09:51 johanv Note Added: 0002092
2012-04-28 00:54 derick Target Version => 2.2.1
2012-07-14 23:14 derick Target Version 2.2.1 => 2.2.2
2012-12-18 12:32 derick Note Added: 0002398
2012-12-18 12:32 derick Status new => closed
2012-12-18 12:32 derick Assigned To => derick
2012-12-18 12:32 derick Resolution open => fixed
2012-12-18 12:37 derick Fixed in Version => 2.2.2
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker